Subject: Re: [RFC PATCH 0/7] Extend socket timestamping API

From: Miroslav Lichvar <[email-masked]>
Date: Thu, 13 Apr 2017 11:53:54 +0200

On Thu, Apr 13, 2017 at 09:08:08AM +0000, Keller, Jacob E wrote:
> > -----Original Message-----
> > This patchset adds new options to the timestamping API that will be
> > useful for NTP implementations and possibly other applications.

> I think this looks pretty good, straight forward and useful. I agree with Richard about the one commit message, but the rest looks good modulo missing updates for all the other drivers.

Thanks for the review.

> I didn't see any code to update the ethtool get_ts_info data for _NTP_ALL either.

My understanding was that ethtool should list only filters that are
actually supported by the HW and are not handled just by switching to
a more general filter. I think that's what drivers I've looked were
doing. The phyter driver would be the only one that could list the
filter as supported. Is that correct?

-- 
Miroslav Lichvar